Skip to main content
GET
/
v1
/
organization-access-tokens
List
curl --request GET \
  --url https://api.spairehq.com/v1/organization-access-tokens/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "scopes": [],
      "expires_at": "2023-11-07T05:31:56Z",
      "comment": "<string>",
      "last_used_at": "2023-11-07T05:31:56Z",
      "organization_id": "<string>"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
comment,
-comment,
last_used_at,
-last_used_at,
organization_id,
-organization_id

Response

Successful Response

items
OrganizationAccessToken · object[]
required
pagination
Pagination · object
required